
const { linename } = require('../../../../lib/db');

module.exports = async function (req, res, next) {

	try {
		const payload = req.body;

		const properties = await linename.properties.get(req.params.project, payload);
		if (properties) {
			res.status(200).send(properties);
		} else {
			res.status(404).send();
		}
		next();
	} catch (err) {
		next(err);
	}


};
